Subject: Re: [PATCH] Documentation: A few minor fixes to Git User's Manual

From: Jakub Narebski <[email-masked]>
Date: Wed, 4 Apr 2007 17:22:58 +0200

On Tue, Apr 03, 2007, J. Bruce Fields wrote:
> On Tue, Apr 03, 2007 at 06:27:28PM +0200, Jakub Narebski wrote:
>>
>> A few [shorthand] comments about Git User's Manual:
[...]
>> * inconsistent use of header levels
>>         Level 0 (top level):     ======================
>>         Level 1:                 ----------------------
>>         Level 2:                 ~~~~~~~~~~~~~~~~~~~~~~
>>         Level 3:                 ^^^^^^^^^^^^^^^^^^^^^^
>>         Level 4 (bottom level):  ++++++++++++++++++++++
> 
> Have you found internal inconsistencies, or are you just referring to
> the fact that it's using different syntax from the default?

Both, but more the fact that I haven't noticed that user-manual uses
different syntax (____ and not ==== is Level 0), and that I mistook
____ for ---- (perhaps #### would be better, if it is possible), but
also the fact that parts Git User's Manual is composed of use different
sectioning.

> I'd kinda like to remove all the tutorials some day and absorb them into
> the manual instead, but maybe that would be unpopular.

I'd rather keep the tutorials, perhaps making them more tutorial-ish,
and adding proposed but not as a patch and not included "Branching and
Merging" tutorial, and making Git User's Manual more a reference material.

-- 
Jakub Narebski
Poland